import { SystemHealthStatus } from '@genesislcap/foundation-comms';
import { FASTElement } from '@microsoft/fast-element';
import type { SystemHealthAlertsEventListeners } from './main.types';
/**
 * The `SystemHealthAlertsBase` component is designed to monitor and display the status of server in real-time.
 *
 * @alpha
 */
export declare class SystemHealthAlertsBase extends FASTElement {
    protected monitor: import("@genesislcap/foundation-comms").NetworkMonitor;
    systemStatus: SystemHealthStatus;
    protected rootEventsListeners: SystemHealthAlertsEventListeners;
    connectedCallback(): void;
    handleChange(): void;
    disconnectedCallback(): void;
    startMonitoring(): Promise<void>;
    stopMonitoring(): void;
}
//# sourceMappingURL=main.d.ts.map